Imports System.Collections.Generic

Public Class Form1
    Private m_Markers As New List(Of Rectangle)

    ' Add a marker.
    Private Sub picMap_MouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles picMap.MouseClick
        Const WID As Integer = 7
        m_Markers.Add(New Rectangle(e.X - WID \ 2, e.Y - WID \ 2, WID, WID))

        ' Redraw.
        picMap.Invalidate()
    End Sub

    ' Clear the markers.
    Private Sub btnClearMarkers_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClearMarkers.Click
        m_Markers.Clear()

        ' Redraw.
        picMap.Invalidate()
    End Sub

    ' Draw the markers.
    Private Sub picMap_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles picMap.Paint
        For Each rect As Rectangle In m_Markers
            e.Graphics.FillEllipse(Brushes.Red, rect)
            e.Graphics.DrawEllipse(Pens.Black, rect)
        Next rect
    End Sub
End Class
